HostingTeam members
Update team member status
PUT
/api/team_members/{team_member_code}/statusEnables or disables a team member.
Authorization
api_key X-Api-Token<token>
API token used to authenticate requests.
In: header
Path Parameters
team_member_code*string
Team member code: T followed by 9 digits. Example: T123456789.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
status*string
New team member status.
enabled= active and usable.disabled= disabled.
Values
enabled | disabledResponse Body
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/api/team_members/string/status" \ -H "X-Api-Token: YOUR_API_TOKEN" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -d '{ "status": "enabled" }'Empty
{
"message": "Unauthorized",
"errors": []
}{
"message": "Forbidden",
"errors": []
}{
"message": "Not found",
"errors": []
}{
"message": "Validation failed",
"errors": [
{
"field": "name",
"description": "is not valid"
}
]
}